---
apiVersion: v1
kind: ConfigMap
metadata:
  namespace: stackspin-apps
  name: stackspin-nextcloud-override
data:
  values.yaml: |
    nextcloud:
      # https://artifacthub.io/packages/helm/nextcloud/nextcloud#configuration
      # https://docs.nextcloud.com/server/latest/admin_manual/configuration_server/config_sample_php_parameters.html#user-experience
      #'defaultapp' => 'dashboard,files',
      nextcloud:
        configs:
          defaults.config.php: |-
            <?php
            $CONFIG = array (
              'allow_user_to_change_display_name' => false,
              'default_phone_region' => 'DE',
              'default_locale' => 'en-gb', # https://github.com/moment/moment/tree/2.18.1/locale
              #'default_language' => 'en_de', # https://www.transifex.com/explore/languages/
              'lost_password_link' => 'https://sso.ftt.gmbh/login/recovery',
              #'theme' => 'dark',
            );
    apps:
      # Basics
      - name: password_policy
        enabled: false
      - name: photos
        enabled: false
      - name: passwords
        enabled: false
      - name: contacts
        enabled: true
      # Common Apps
      - name: external
        enabled: true
      - name: polls
        enabled: false
        #unsure - maybe redundant to forms?
      - name: forms
        enabled: true
        #- name: spreed
        #  enabled: false
        # redundant to Zulip & Jitsi
      - name: appointments
        enabled: true
      # Management
      - name: deck
        enabled: true
      - name: tasks
        enabled: true
      # Convenience
      - name: files_rightclick
        enabled: true
      - name: metadata
        enabled: true
      - name: extract
        enabled: true
      # Collaborative apps
        #- name: drawio
        #  enabled: false
        #buggy
      - name: notes
        enabled: true
        #- name: files_mindmap
        #  enabled: false
        #buggy
      - name: files_markdown
        enabled: true
      - name: files_texteditor
        enabled: true
      - name: maps
        enabled: true
      - name: jitsi
        enabled: false
        # waiting for /var/lib/Stackspin/local-storage/pvc-3b008674-544c-46e7-b456-f20932eb9f23_stackspin-apps_nextcloud-files/custom_apps
      # Aesthetics
      #- name: theming
      #  enabled: true
      - name: apporder
        enabled: true
      - name: side_menu
        enabled: true
      - name: breezedark
        enabled: true
        #- name: unsplash
        #  enabled: true
      # Flow
      - name: analytics
        enabled: true
      - name: workflow_pdf_converter
        enabled: true
      - name: files_accesscontrol
        enabled: true
      - name: files_automatedtagging
        enabled: true
      - name: workflow_media_converter
        enabled: true
      - name: workflow_ocr
        enabled: true
      # Testing
      - name: event_update_notification
        enabled: true
      - name: integration_google
        enabled: true
